Saytlar

GET https://push.yayim.org/api/websites/
curl --request GET \
--url 'https://push.yayim.org/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
Parametrlər Təfərrüatlar Təsvir
search İstəyə bağlı Mətn Axtarış mətni.
search_by İstəyə bağlı Mətn Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: name, host, path.
is_enabled İstəyə bağlı Məntiqi dəyər
datetime_field İstəyə bağlı Mətn İcazəli dəyərlər: datetime, last_datetime, email_reports_last_datetime
datetime_start İstəyə bağlı Mətn Bu tarix və vaxtdan başlayaraq nəticələri süzün. Format: Y-m-d H:i:s.
datetime_end İstəyə bağlı Mətn Bu tarix və vaxta qədər nəticələri süzün. Format: Y-m-d H:i:s.
order_by İstəyə bağlı Mətn Nəticələrin hansı sahəyə görə sıralanacağı. İcazəli dəyərlər: website_id, datetime, last_datetime, name, host, path, email_reports_last_datetime, email_reports_count, total_sent_campaigns, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications, total_subscribers.
order_type İstəyə bağlı Mətn Sıralama qaydası: artan sıra üçün ASC, azalan sıra üçün DESC.
page İstəyə bağlı Tam ədəd Nəticələri almaq istədiyiniz səhifə nömrəsi. Standart dəyər 1.
results_per_page İstəyə bağlı Tam ədəd Bir səhifədə istədiyiniz nəticə sayı. İcazəli dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Standart dəyər: 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "domain_id": 1,
            "pixel_key": "Example",
            "name": "Example",
            "scheme": "Example",
            "host": "Example",
            "path": "Example",
            "settings": [],
            "widget": {},
            "button": {},
            "notifications": [],
            "email_reports": [],
            "email_reports_last_datetime": "2026-11-21 21:40:27",
            "email_reports_count": 1,
            "keys": [],
            "total_sent_campaigns": 1,
            "total_subscribers": 1,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-11-21 21:40:27"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://push.yayim.org/api/websites?page=1",
        "last": "https://push.yayim.org/api/websites?page=1",
        "next": null,
        "prev": null,
        "self": "https://push.yayim.org/api/websites?page=1"
    }
}
GET https://push.yayim.org/api/websites/{website_id}
curl --request GET \
--url 'https://push.yayim.org/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "domain_id": 1,
        "pixel_key": "Example",
        "name": "Example",
        "scheme": "Example",
        "host": "Example",
        "path": "Example",
        "settings": [],
        "widget": {},
        "button": {},
        "notifications": [],
        "email_reports": [],
        "email_reports_last_datetime": "2026-11-21 21:40:27",
        "email_reports_count": 1,
        "keys": [],
        "total_sent_campaigns": 1,
        "total_subscribers": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-11-21 21:40:27"
    }
}
DELETE https://push.yayim.org/api/websites/{website_id}
curl --request DELETE \
--url 'https://push.yayim.org/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \